New Invoice
curl --request POST \
--url https://api.jtl-cloud.com/erp/v1/salesOrders/{salesOrderId}/createinvoice \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"InvoiceOnlyDeliveredQuantity": true,
"AsDraft": true
}
'import requests
url = "https://api.jtl-cloud.com/erp/v1/salesOrders/{salesOrderId}/createinvoice"
payload = {
"InvoiceOnlyDeliveredQuantity": True,
"AsDraft": True
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({InvoiceOnlyDeliveredQuantity: true, AsDraft: true})
};
fetch('https://api.jtl-cloud.com/erp/v1/salesOrders/{salesOrderId}/createinvoice', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"Id": 123,
"SalesInvoiceNumber": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}{
"ErrorCode": "<string>",
"ValidationErrors": {},
"Errors": {},
"ErrorMessage": "<string>",
"Stacktrace": "<string>"
}salesorder
New Invoice
Create an invoice for a specific sales order
POST
/
v1
/
salesOrders
/
{salesOrderId}
/
createinvoice
New Invoice
Authorizations
oauth2-authorization-codeoauth2-client-credentials
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.
The tenant ID for the target ERP instance.
Path Parameters
The id of the sales order to create the invoice for.
Body
application/json
The parameter for invoice creation.
Model Class: CreateSalesInvoiceRequest
Was this page helpful?
⌘I